Importapay
Api reference

GET /api/merchant/pobo/reference/company-types

Fetch the supported company types before rendering the company-details step of your KYB form. Display label to the user and submit the corresponding value as company.type.

This endpoint requires the merchant API key in x-api-key.

Response

{
  "message": "company types fetched",
  "response": [
    { "value": "corporation", "label": "corporation" },
    { "value": "limitedLiabilityCompany", "label": "limitedLiabilityCompany" }
  ]
}

On this page